### Method

# Gimp PDB temp_procedure_name

#### Declaration [src]

    gchar*
    gimp_pdb_temp_procedure_name (
      GimpPDB* pdb
    )

#### Description [src]

Generates a unique temporary PDB name.

This function generates a temporary PDB entry name that is guaranteed to be unique.

Available since: | 3.0

#### Return value

Returns: | `gchar*`
| A unique temporary name for a temporary PDB entry. The returned value must be freed with g_free().
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.